MantisBT - AChecker
View Issue Details
0004931ACheckerInterfacepublic2011-11-24 10:512018-03-08 13:30
greg 
greg 
normalmajoralways
closedfixed 
 
1.3 
5f043aae1aac745b2dee5f235c090704bb3734e2
0004931: language import mismatch
When importing an old language pack, the following error occurs

The requested URL /acheck_test/AChecker/language/language_import_mismatched_version.php was not found on this server.
No tags attached.
Issue History
2011-11-24 10:51gregNew Issue
2011-11-24 10:52gregAssigned To => cindy
2011-11-24 10:52gregStatusnew => assigned
2011-11-24 11:02gregAssigned Tocindy => greg
2011-11-24 14:37cindySVN Revision# => 5f043aae1aac745b2dee5f235c090704bb3734e2
2011-11-24 14:37cindyNote Added: 0005530
2011-11-24 14:37cindyStatusassigned => resolved
2011-11-24 14:37cindyFixed in Version => SVN
2011-11-24 14:37cindyResolutionopen => fixed
2011-11-25 14:45gregFixed in VersionSVN => 1.3
2018-03-08 13:30cindyStatusresolved => closed

Notes
(0005530)
cindy   
2011-11-24 14:37   
The fix has been merged into master project repo.

The solution is to ask for the user's consent at importing a language pack that's from the earlier AChecker version.

Modified script: include/classes/Language/LanguageManager.class.php
New script: language/language_import_mismatched_version.php